{capture name="title"} - {l}Contact Us{/l}{/capture}
{capture assign="in_page_title"}{l}Contact Us{/l}{/capture}
{capture assign="description"}{l}Contact Us{/l}{/capture}

{include file="header.tpl"}
{include file="top_bar.tpl"}

{strip}
<form method="post" action="">
<table border="0" class="formPage">
{if $error}
   <tr><td colspan="2" class="err">
      {l}An error occured while sending contact email{/l}.
      {if !empty($errorMsg)}
         <p>{$errorMsg|escape|trim}</p>
      {/if}
   </td></tr>
{/if}

{if $contactSent}
   <tr><td colspan="2" class="msg">
      {l}Contact message sent{/l}.
   </td></tr>
{/if}
	<tr>
    	<td colspan="2">
        	<div class="title"><h2 class="titleIcon1" style="width:600px;">{l}Contact{/l}</h2></div>
        </td>
    </tr>
   <tr>
      <td class="label"><span class='req'>*</span>{l}Name{/l}:</td>
      <td class="field">
         <input type="text" id="NAME" name="NAME" value="{$NAME|escape|trim}" size="40" class="text_user" />
      </td>
   </tr>

   <tr>
      <td class="label"><span class='req'>*</span>{l}Your Email{/l}:</td>
      <td class="field">
         <input type="text" id="EMAIL" name="EMAIL" value="{$EMAIL|escape|trim}" size="40" maxlength="255" class="text_user" />
      </td>
   </tr>

   <tr>
      <td class="label"><span class='req'>*</span>{l}Subject{/l}:</td>
      <td class="field">
         <input type="text" id="SUBJECT" name="SUBJECT" value="{$SUBJECT|escape|trim}" size="40" maxlength="255" class="text_user" />
      </td>
   </tr>

   <tr>
      <td class="label"><span class='req'>*</span>{l}Message{/l}:</td>
      <td class="field">
         <textarea id="MESSAGE" name="MESSAGE" rows="3" cols="37" class="text">{$MESSAGE|escape|trim}</textarea>
      </td>
   </tr>

   {if $smarty.const.VISUAL_CONFIRM}
   <tr>
      <td class="label"><span class='req'>*</span>{l}Enter the code shown{/l}:</td>
      <td class="field">
         <input id="IMAGEHASH" name="IMAGEHASH" type="hidden" value="{$imagehash}" />
         <input id="CAPTCHA" name="CAPTCHA" type="text" value="" size="{$smarty.const.CAPTCHA_PHRASE_LENGTH}" maxlength="{$smarty.const.CAPTCHA_PHRASE_LENGTH}" class="text_user" />
         <br />
         <p class="small">{l}This helps prevent automated registrations.{/l}</p>
         <img src="{$smarty.const.DOC_ROOT}/captcha.php?imagehash={$imagehash}" class="captcha" alt="{l}Visual Confirmation Security Code{/l}" title="{l}Visual Confirmation Security Code{/l}" />
      </td>
   </tr>
   {/if}

   <tr>
      <td colspan="2" class="buttons">
         <input type="submit" id="continue" name="continue" value="{l}Continue{/l}" class="btn" />
      </td>
   </tr>
</table>
<input type="hidden" name="formSubmitted" value="1" />
</form>
</div>
{include file="right.tpl"}
{include file="footer.tpl"}
{/strip}